import request from '@/utils/request'

// 创建车辆品牌维护
export function createCarBrand(data) {
  return request({
    url: '/base/carBrand/create',
    method: 'post',
    data: data
  })
}

// 更新车辆品牌维护
export function updateCarBrand(data) {
  return request({
    url: '/base/carBrand/update',
    method: 'put',
    data: data
  })
}

// 删除车辆品牌维护
export function deleteCarBrand(id) {
  return request({
    url: '/base/carBrand/delete?id=' + id,
    method: 'delete'
  })
}

// 获得车辆品牌维护
export function getCarBrand(id) {
  return request({
    url: '/base/carBrand/get?id=' + id,
    method: 'get'
  })
}

// 获得车辆品牌维护分页
export function getCarBrandPage(params) {
  return request({
    url: '/base/carBrand/page',
    method: 'get',
    params
  })
}
// 导出车辆品牌维护 Excel
export function exportCarBrandExcel(params) {
  return request({
    url: '/base/carBrand/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
